### A free/open-source library for quantitative finance

Public Member Functions | Protected Member Functions | Protected Attributes
InterpolatedYoYInflationCurve< Interpolator > Class Template Reference

Inflation term structure based on interpolated year-on-year rates. More...

`#include <ql/termstructures/inflation/interpolatedyoyinflationcurve.hpp>`

Inheritance diagram for InterpolatedYoYInflationCurve< Interpolator >:
[legend]

List of all members.

## Public Member Functions

| InterpolatedYoYInflationCurve (const Date &referenceDate, const Calendar &calendar, const DayCounter &dayCounter, const Period &lag, Frequency frequency, bool indexIsInterpolated, const Handle< YieldTermStructure > &yTS, const std::vector< Date > &dates, const std::vector< Rate > &rates, const Interpolator &interpolator=Interpolator())
InflationTermStructure interface
Date | baseDate () const
| minimum (base) date
Date | maxDate () const
| the latest date for which the curve can return values
Inspectors
const std::vector< Date > & | dates () const
const std::vector< Time > & | times () const
const std::vector< Real > & | data () const
const std::vector< Rate > & | rates () const
std::vector< std::pair< Date, Rate > > | nodes () const

## Protected Member Functions

| InterpolatedYoYInflationCurve (const Date &referenceDate, const Calendar &calendar, const DayCounter &dayCounter, Rate baseYoYRate, const Period &lag, Frequency frequency, bool indexIsInterpolated, const Handle< YieldTermStructure > &yTS, const Interpolator &interpolator=Interpolator())
YoYInflationTermStructure interface
Rate | yoyRateImpl (Time t) const
| to be defined in derived classes

## Protected Attributes

std::vector< Date > | dates_

## Detailed Description

### template<class Interpolator>
class QuantLib::InterpolatedYoYInflationCurve< Interpolator >

Inflation term structure based on interpolated year-on-year rates.

Note:
  The provided rates are not YY inflation-swap quotes.

## Constructor & Destructor Documentation

InterpolatedYoYInflationCurve | ( | const Date & | referenceDate,
|  | const Calendar & | calendar,
|  | const DayCounter & | dayCounter,
|  | Rate | baseYoYRate,
|  | const Period & | lag,
|  | Frequency | frequency,
|  | bool | indexIsInterpolated,
|  | const Handle< YieldTermStructure > & | yTS,
|  | const Interpolator & | interpolator = `Interpolator()`
| ) |  | `[protected]`

Protected version for use when descendents don't want to (or can't) provide the points for interpolation on construction.

## Member Function Documentation

Date baseDate | ( |  | ) | const`[virtual]`

minimum (base) date

Important in inflation since it starts before nominal reference date. Changes depending whether index is interpolated or not. When interpolated the base date is just observation lag before nominal. When not interpolated it is the beginning of the relevant period (hence it is easy to create interpolated fixings from a not-interpolated curve because interpolation, usually, of fixings is forward looking).

Implements InflationTermStructure.

Reimplemented in PiecewiseYoYInflationCurve< Interpolator, Bootstrap, Traits >.